{% extends 'Default/backend.html.twig' %}

{% block stylesheets %}
  {{ parent() }}
  {{ encore_entry_link_tags('subscription-service-manager') }}
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.21/css/dataTables.bootstrap4.min.css" integrity="sha512-PT0RvABaDhDQugEbpNMwgYBCnGCiTZMh9yOzUsJHDgl/dMhD9yjHAwoumnUk3JydV3QTcIkNDuN40CJxik5+WQ==" crossorigin="anonymous" referrerpolicy="no-referrer" />
{% endblock %}

{% block javascripts %}
  {{ parent() }}
  {{ encore_entry_script_tags('subscription-service-manager') }}
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.1/jquery.min.js" integrity="sha512-aVKKRRi/Q/YV+4mjoKBsE4x3H+BkegoM/em46NNlCqNTmUYADjBbeNefNxYV7giUp0VxICtqdrbqU7iVaeZNXA==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.21/js/jquery.dataTables.min.js" integrity="sha512-BkpSL20WETFylMrcirBahHfSnY++H2O1W+UnEEO4yNIl+jI2+zowyoGJpbtk6bx97fBXf++WJHSSK2MV4ghPcg==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.21/js/dataTables.bootstrap4.min.js" integrity="sha512-OQlawZneA7zzfI6B1n1tjUuo3C5mtYuAWpQdg+iI9mkDoo7iFzTqnQHf+K5ThOWNJ9AbXL4+ZDwH7ykySPQc+A==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>

  <script src="{{ asset('bundles/datatables/js/datatables.js') }}"></script>
  <script>
    const lang = document.documentElement.lang.toString();
    //Default
    let url_language = '/bundles/app/js/libs/datatables/it-IT.json';
    if(lang === 'en'){
      url_language = '/bundles/app/js/libs/datatables/en-GB.json';
    }else if(lang === 'de'){
      url_language = '/bundles/app/js/libs/datatables/de-DE.json';
    }
    $(function () {
      $('#subscription_services_table').initDataTables({{ datatable_settings(datatable) }}, {
        dom: 'fBrtip',
        searching: true,
        paging: true,
        pagingType: 'simple_numbers',
        language: {
          url: url_language
        },
        initComplete: function () {
          $('#subscription_services_table thead tr th').each(function(index,element){
            index += 1;
            $('tr td:nth-child('+index+')').attr('data-title', element.innerHTML);
          });

          // Use bootstrap buttons for pagination
          $('a.paginate_button').addClass('btn');
          // Add margin bottom to datatables info
          $('#dt_info').css('margin-bottom', '0.85em')
        }
      }).then(function (dt) {
        $('.table_filter').on('change', function(){
          dt.columns(2).search(this.value, false, false, false).draw();
        });
      })
    });
  </script>
{% endblock %}

{% block main_content %}
  <section id="intro" class="container-full px-4 my-4">

    <div class="col-12 d-flex justify-content-between">
      <h1>{{ 'backoffice.integration.subscription_service.subscription_services' | trans }}</h1>
      <div>
        <a data-toggle="modal" data-target="#searchModal">
          <span class="text-400 font-weight-bolder">{{ 'backoffice.integration.subscription_service.search_subscribers' | trans }}</span>
          <div class="avatar size-lg" href="#">
            <svg class="icon icon-secondary"><use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-search"></use></svg>
          </div>
        </a>
      </div>
    </div>
    <div class="row">
      <div class="col-lg-12 px-lg-4 py-lg-2 mt-4">
        <div id="no-more-tables" class="table-striped">
          <div class="select-wrapper" style="float: left">
            <select class="table_filter" id="filter" title="Stato">
              <option value="">{{ 'backoffice.integration.subscription_service.all' | trans }}</option>
              {% for status in statuses %}
                <option value="{{ status }}">{{ status }}</option>
              {% endfor %}
            </select>
          </div>
          <div id="subscription_services_table" class="stripe"></div>
          <div class="mt-4">
            <a class="btn btn-success btn-primary" href="{{ path('operatori_subscription-service_new') }}">{{ 'backoffice.integration.subscription_service.new' | trans }}</a>
          </div>
        </div>
      </div>
    </div>
  </section>
  {% include "SubscriptionServices/parts/searchModal.html.twig" %}
{% endblock %}
